Subject: Re: [F]Framebuffer driver using SM501 hardware.

From: Clemens Koller <[email-masked]>
Date: Wed, 17 Aug 2005 13:04:27 +0200

Hi, Andrey!

It would be great to have our code collected somewhere in a public
cvs/git archive.
There are also some patches to add (accelerated) SM501 support to 
the latest X somewhere in atmosphere:

https://bugs.freedesktop.org/attachment.cgi?id=1775

I will be able to help you with some hacking/testing with the
SM501 on PCI on ppc/MPC8540 in the future.

Greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19

Andrey Volkov wrote:
> I (now :)) working on it too.
> 
> Unfortunately, due to terrible SM docos/examples,
> I rewrite/write some parts from scratch :(
> (mainly based on Applied Data Systems drivers for PXA).
> Currently my driver(s) in prerelease stage. It provide:
> 
> - PCI/bus infra.
> - CRT or LCD fb (dual head in progress,
>   I hope, on next week it will be done).
> - hwd cursor
> - hwd accel (bitblit/fill rect/color expand)
> - I2C/DDC (software, due to silicon bug in SM501)
> - CI (Command List Interpreter) partially supported
>   (problems in PCI mode: when it work as master with
>    MPC5200, some data are lost, needed investigation).
> 
> Todo:
> - 16 bpp colormap (needed reverse endian support in fbcon/fbmem)
> - Alpha (have not ideas how to use it in fb/X)
> - Video (same as above)
> - Platform driver (it will not too hard to write it,
>   but all boards, which I have, are PCI based)
> - USB host (in progress)
> - USB slave
> - Full CI support.
> - UART/SPI/AC97....
> 
> To whom it is interesting, I could send my current code
> (not too little). And, if smb will wish fix/expand...,
> I could (temporally) create cvs on sf.net.
> 
> Wolfgang Denk wrote:
> 
>>In message <[email-masked]> you wrote:
>>
>>
>>>I was working with the SM501 framebuffer for a while on
>>>linux-2.6.
>>
>>
>>...and we did in the context of our 2.4 kernel.
>>
>>
>>
>>>There is a color-mapping issue left (RGB is swapped on powerpc)
>>>and it needs lots of code cleanup or a complete rewrite.
>>
>>
>>I think we fixed some of these problems, and I have a couple of other
>>patches sitting in my queue. Anybody interested can (1) have  a  look
>>at our tree and (2) mail me.
>>
>>Best regards,
>>
>>Wolfgang Denk
> 
> ----------------
> 
>>In message <[email-masked]> you wrote:
>>
>>
>>>>I am writing framebuffer driver using SM501. This graphics driver chip can
>>
>>
>>Why are you re-inventing the wheel?
> 
> Because I (for ex.) don't use nor QT, nor X :) and I use 2.6 kernel.
> Also I need USB/AC97... support.
>